net.sf.jasperreports.engine.design.events

## Interface JRChangeEventsSupport

- All Known Implementing Classes:
    BarcodeComponent, CodabarComponent, Code128Component, Code39Component, DataMatrixComponent, DesignCell, DesignCrosstabColumnCell, DesignDataAxis, DesignDataLevelBucket, DesignDataMeasure, DesignListContents, DesignMultiAxisData, DesignMultiAxisDataset, DesignReturnValue, EAN128Component, EAN13Component, EAN8Component, FourStateBarcodeComponent, IconLabelComponent, Interleaved2Of5Component, JasperDesign, JasperReport, JRBaseAreaPlot, JRBaseBand, JRBaseBar3DPlot, JRBaseBarPlot, JRBaseBoxBottomPen, JRBaseBoxLeftPen, JRBaseBoxPen, JRBaseBoxRightPen, JRBaseBoxTopPen, JRBaseBreak, JRBaseBubblePlot, JRBaseCandlestickPlot, JRBaseChart, JRBaseChartPlot, JRBaseComponentElement, JRBaseConditionalStyle, JRBaseCrosstab, JRBaseCrosstabParameter, JRBaseDataset, JRBaseElement, JRBaseEllipse, JRBaseField, JRBaseFont, JRBaseFrame, JRBaseGenericElement, JRBaseGraphicElement, JRBaseGroup, JRBaseHighLowPlot, JRBaseImage, JRBaseLine, JRBaseLineBox, JRBaseLinePlot, JRBaseMeterPlot, JRBaseMultiAxisPlot, JRBaseParagraph, JRBaseParameter, JRBasePen, JRBasePie3DPlot, JRBasePieDataset, JRBasePiePlot, JRBasePropertyExpression, JRBaseRectangle, JRBaseReport, JRBaseScatterPlot, JRBaseScriptlet, JRBaseSection, JRBaseSortField, JRBaseStaticText, JRBaseStyle, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRBaseThermometerPlot, JRBaseTimeSeriesDataset, JRBaseTimeSeriesPlot, JRDesignAreaPlot, JRDesignBand, JRDesignBar3DPlot, JRDesignBarPlot, JRDesignBreak, JRDesignBubblePlot, JRDesignCandlestickPlot, JRDesignCategoryDataset, JRDesignCategorySeries, JRDesignCellContents, JRDesignChart, JRDesignChartAxis, JRDesignChartDataset, JRDesignComponentElement, JRDesignConditionalStyle, JRDesignCrosstab, JRDesignCrosstabBucket, JRDesignCrosstabCell, JRDesignCrosstabColumnGroup, JRDesignCrosstabDataset, JRDesignCrosstabGroup, JRDesignCrosstabMeasure, JRDesignCrosstabParameter, JRDesignCrosstabRowGroup, JRDesignDataRange, JRDesignDataset, JRDesignDatasetParameter, JRDesignDatasetRun, JRDesignElement, JRDesignElementDataset, JRDesignElementGroup, JRDesignEllipse, JRDesignExpression, JRDesignExpressionChunk, JRDesignField, JRDesignFont, JRDesignFrame, JRDesignGanttDataset, JRDesignGanttSeries, JRDesignGenericElement, JRDesignGraphicElement, JRDesignGroup, JRDesignHighLowDataset, JRDesignHighLowPlot, JRDesignHyperlink, JRDesignHyperlinkParameter, JRDesignImage, JRDesignItemLabel, JRDesignLine, JRDesignLinePlot, JRDesignMeterPlot, JRDesignMultiAxisPlot, JRDesignParameter, JRDesignPie3DPlot, JRDesignPieDataset, JRDesignPiePlot, JRDesignPieSeries, JRDesignPropertyExpression, JRDesignQuery, JRDesignQueryChunk, JRDesignRectangle, JRDesignReportTemplate, JRDesignScatterPlot, JRDesignScriptlet, JRDesignSection, JRDesignSortField, JRDesignStaticText, JRDesignStyle, JRDesignSubreport, JRDesignSubreportParameter, JRDesignSubreportReturnValue, JRDesignTextElement, JRDesignTextField, JRDesignThermometerPlot, JRDesignTimePeriodDataset, JRDesignTimePeriodSeries, JRDesignTimeSeries, JRDesignTimeSeriesDataset, JRDesignTimeSeriesPlot, JRDesignValueDataset, JRDesignValueDisplay, JRDesignVariable, JRDesignXyDataset, JRDesignXySeries, JRDesignXyzDataset, JRDesignXyzSeries, JRSimpleTemplate, PDF417Component, POSTNETComponent, RoyalMailCustomerComponent, SortComponent, SpiderChartComponent, StandardBarbecueComponent, StandardBaseColumn, StandardChartSettings, StandardColumn, StandardColumnGroup, StandardGroupCell, StandardItem, StandardItemData, StandardItemProperty, StandardListComponent, StandardMapComponent, StandardMarker, StandardMarkerDataset, StandardMarkerProperty, StandardSpiderDataset, StandardSpiderPlot, StandardTable, TableJasperReport, UPCAComponent, UPCEComponent, USPSIntelligentMailComponent

      public interface JRChangeEventsSupport

  Interface implemented by classes that offer propery change events support.
  Version:
    $Id: JRChangeEventsSupport.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.

- - ### Method Detail

    - #### getEventSupport

          JRPropertyChangeSupport getEventSupport()

      Returns the property change support object for this instance.
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com